; The GIMP -- an image manipulation program
; Copyright (C) 1995 Spencer Kimball and Peter Mattis
; 
; Stained glass script  for GIMP 1.2
; Copyright (C) 2001 Iccii <iccii@hotmail.com>
; 
; You'll find that this script isn't "real" staind glass effect
; Plese tell me how to create if you know more realistic effect
; This script is only applying the mosac plugin ;-(
; 
; --------------------------------------------------------------------
; version 0.1  by Iccii 2001/07/21
;     - Initial relase
;
; --------------------------------------------------------------------
; 
; This program is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.  
; 
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
; 
; You should have received a copy of the GNU General Public License
; along with this program; if not, write to the Free Software
; Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
;


	;; XehOXXNvg
(define (script-fu-stained-glass
			img		;; Ώۉ摜
			drawable	;; ΏۃhAu (C[)
			tile-size	;; ̑傫
	)
  (gimp-undo-push-group-start img)
  (plug-in-mosaic 1 img drawable tile-size 0 1.0 0.65 90.0 0.25 TRUE TRUE 1 0 0)
  (let* (
	 (copy-layer1 (car (gimp-layer-copy drawable 1)))
	 (copy-layer2 (car (gimp-layer-copy drawable 1)))
        )

    (gimp-image-add-layer img copy-layer1 -1)
    (gimp-image-add-layer img copy-layer2 -1)
    (gimp-layer-set-mode copy-layer1 OVERLAY-MODE)
    (gimp-layer-set-mode copy-layer2 OVERLAY-MODE)
    (gimp-layer-set-opacity copy-layer1 100)
    (gimp-layer-set-opacity copy-layer2 100)
    (gimp-image-merge-down img
      (car (gimp-image-merge-down img copy-layer2 EXPAND-AS-NECESSARY))
                               EXPAND-AS-NECESSARY)
  )
	;; ㏈
  (gimp-undo-push-group-end img)
  (gimp-displays-flush)
)

(script-fu-register
  "script-fu-stained-glass"
  "<Image>/Script-Fu/Alchemy/Stained Glass..."
  "Create stained glass image"
  "Iccii <iccii@hotmail.com>"
  "Iccii"
  "2001, Jul"
  "RGB*"
  SF-IMAGE      "Image"		0
  SF-DRAWABLE   "Drawable"	0
  SF-ADJUSTMENT "Cell Size (pixels)"   '(16 5 100 1 10 0 1)
)
